dubbo:
  registry:
    address: zookeeper://localhost:2181
spring:
  cloud:
    discovery:
      enabled: true
  data:
    mongodb:
      host: localhost
      database: "tnb_content_rdb"
      authentication-database: admin
      username: dev
      password: Dev@123456
  redis:
    database: 0
    host: localhost
    port: 6379
    password: Dev@123456
  rabbitmq:
    host: localhost
    port: 5672
    virtual-host: /
    username: dev
    password: Dev@123456
  shardingsphere:
    datasource:
      names: master,slave
      masterslave:
        name: ms
        master-data-source-name: master
        slave-data-source-names: slave
      master:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        jdbc-url: jdbc:mysql://localhost/tnb_content_rdb?useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2b8
        username: dev
        password: Dev@123456
      slave:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        jdbc-url: jdbc:mysql://localhost/tnb_content_rdb?useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2b8
        username: dev
        password: Dev@123456
eureka:
  client:
    service-url:
      defaultZone: http://localhost:6060/eureka/